Loading...
Searching...
No Matches
EST_TBox< T > Class Template Reference

`#include <include/EST_TBox.h>`

Inheritance diagram for EST_TBox< T >:
[legend]
Collaboration diagram for EST_TBox< T >:
[legend]

## Public Member Functions

| EST_TBox (T *c)
T * | object_ptr ()
const T * | object_ptr () const
T * | c ()
const T * | c () const
Public Member Functions inherited from EST_Handleable
int | refcount (void) const
void | start_refcounting (int initial=0)
void | inc_refcount (void)
void | dec_refcount (void)
int | is_unreferenced (void) const
int | is_refcounted (void) const

## Detailed Description

template<class T>
class EST_TBox< T >

Box for putting things in. The box and the thing can then be refcounted as a unit.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_TBox.h,v 1.2 2001/04/04 13:11:27 awb Exp

Definition at line 48 of file EST_TBox.h.

## Constructor & Destructor Documentation

## EST_TBox()

template<class T>

EST_TBox< T >::EST_TBox | ( | T * | c | ) |

inline

Definition at line 58 of file EST_TBox.h.

## ~EST_TBox()

template<class T>

EST_TBox< T >::~EST_TBox | ( | void |  | ) |

inline

Definition at line 59 of file EST_TBox.h.

## Member Function Documentation

## object_ptr() [1/2]

template<class T>

T * EST_TBox< T >::object_ptr | ( |  | ) |

inline

Definition at line 61 of file EST_TBox.h.

## object_ptr() [2/2]

template<class T>

const T * EST_TBox< T >::object_ptr | ( |  | ) | const

inline

Definition at line 62 of file EST_TBox.h.

## c() [1/2]

template<class T>

T * EST_TBox< T >::c | ( |  | ) |

inline

Definition at line 64 of file EST_TBox.h.

## c() [2/2]

template<class T>

const T * EST_TBox< T >::c | ( |  | ) | const

inline

Definition at line 65 of file EST_TBox.h.

The documentation for this class was generated from the following file:

- include/EST_TBox.h